<?php
/**
 * @version 1.0.0 ( file version )
 * @author Justin Greer <justin@blackbirdi.com>
 * @copyright Justin Greer Interactive, LLC
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
*/

/*
 |--------------------------------------------------------------------------
 | No direct access
 |--------------------------------------------------------------------------
 |
 | As a security measure there is no direct access allowed
 |
 */
if( !defined( 'ABSPATH' ) ){ header("HTTP/1.0 404 Not Found"); exit; }

class WPBU_Core {

	// Error Array
	public $errors = array();

	/**
	 * __construct
	 * 
	 * Init all the plugin features from here this
	 * this should keep the plugin scalable
	 * @param N/A
	 */ 
	public function __construct(){
		add_action( 'admin_menu', array($this, 'Add_Admin_Menus') );
		add_action( 'admin_init', array($this, 'register_settings') ); 

		// Grab the UI 
		require_once( WPBU_ABSPATH . '/library/ui/console.php' );
		require_once( WPBU_ABSPATH . '/library/ui/general.php' );
		require_once( WPBU_ABSPATH . '/library/ui/schedule.php' );
		require_once( WPBU_ABSPATH . '/library/ui/account.php' );
	}

	/**
	 * Init_WPBU_Plugin
	 * 
	 * makes sure things for the plugin are installed
	 * and ready to rock.
	 * @param N/A
	 *
	 * @todo Add hooks here that will check for needed server features and will possibly handle notifications as well
	 */ 
	public function Init_WPBU_Plugin(){}

	/**
	 * Register_Settings
	 * 
	 * make sure the settings for the plugin are whitlisted
	 * @param N/A
	 */ 
	public function register_settings(){
		register_setting( 'wpbu-global-group',		'wpbu_global_settings' );
		register_setting( 'wpbu-account-group', 	'wpbu_account_settings' );
		register_setting( 'wpbu-general-group', 	'wpbu_general_settings' );
		register_setting( 'wpbu-schedule-group',	'wpbu_schedule_settings' );
	}

	/**
	 * Add_Admin_Menus
	 * 
	 * Adds new needed menus
	 * @param N/A
	 */ 
	public function Add_Admin_Menus(){
		add_menu_page( 'Backupware', 'Backup', 'administrator', 'wpbu_overview', 'WPBU_Console_UI', null );
		add_submenu_page( 'wpbu_overview', 'General Settings', 'General Settings', 'administrator', 'wpbu_general', 'WPBU_General_UI' );
		add_submenu_page( 'wpbu_overview', 'Schedule', 'Schedule', 'administrator', 'wpbu_schedule', 'WPBU_Schedule_UI' );
		add_submenu_page( 'wpbu_overview', 'Account', 'Your Account', 'administrator', 'wpbu_account', 'WPBU_Account_UI' );
	}

	/**
	 * Create Backups Post Types
	 * 
	 * Creates the post type that will be used as a hook into WordPress
	 * for simple storage. This may change but for now this seems ok (as long as the backups are downloaded porperly)
	 * @param N/A
	 */ 
	public function regster_backup_postype(){
		$labels = array(
		    'name'               => 'Backups',
		    'singular_name'      => 'Backup',
		    'add_new'            => 'Backup',
		    'add_new_item'       => 'Add New Backup',
		    'edit_item'          => 'Edit Backup',
		    'new_item'           => 'New Backup',
		    'all_items'          => 'All Backup',
		    'view_item'          => 'View Backup',
		    'search_items'       => 'Search Backups',
		    'not_found'          => 'No Backups found',
		    'not_found_in_trash' => 'No Backups found in Trash',
		    'parent_item_colon'  => '',
		    'menu_name'          => 'Backups'
		  );

		  $args = array(
		    'labels'             => $labels,
		    'public'             => false,
		    'publicly_queryable' => false,
		    'show_ui'            => true,
		    'show_in_menu'       => false,
		    'query_var'          => true,
		    'rewrite'            => array( 'slug' => 'wpbu_backups' ),
		    'capability_type'    => 'post',
		    'has_archive'        => true,
		    'hierarchical'       => false,
		    'menu_position'      => null,
		    'supports'           => array( 'title', 'editor', 'custom-fields' )
		  );

		  register_post_type( 'wpbu_backups', $args );
	}


	public function errors($error){
		array_push($this->errors, $error);
	}

}