<?php
/**
 * @version 1.0.0 ( file version )
 * @author Justin Greer <justin@blackbirdi.com>
 * @copyright Justin Greer Interactive, LLC
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
*/

if( !defined( 'ABSPATH' ) ){ header("HTTP/1.0 404 Not Found"); exit; }

class WPBU_Backup extends WPBU_Core{

    public function __construct(){}

    /**
     * Create database backup
     * 
     * Uses system commend and php hook to gether $PATH
     * @param N/A
     */
    public function Create_Database_Backup_Using_System( $path = null, $encrypt = null){
        
            $time = time();
            $backup_file = WPBU_BACKUP_PATH . '/'.$time.'.sql';

            // @TODO Move this to plugin init so the plugin does not have to query every time
            global $wpdb;
            $path = $wpdb->get_results("SHOW VARIABLES LIKE 'basedir'");
            $mysql_path = $path[0]->Value;

            $command = $mysql_path . "/bin/mysqldump --opt --apply-slave-statements -h".DB_HOST." -u".DB_USER." -p".DB_PASSWORD." ".DB_NAME." > $backup_file";
            system( $command );

            // Create new entry into WordPress for ccb_backups
            global $user_ID;
            $page['post_type']    = 'wpbu_backups';
            $page['post_content'] = 'WP Backupware - ' . $time;
            $page['post_parent']  = 0;
            $page['post_author']  = $user_ID;
            $page['post_status']  = 'private';
            $page['post_title']   = 'WP Backupware - ' . $time;
            $pageid = wp_insert_post ($page);
            if ($pageid != 0) { 

                // Insert custom meta data
                add_post_meta( $pageid, 'backup_location', $backup_file);
                add_post_meta( $pageid, 'backup_type', 'Database');

                // Get backup file size (MB)
                $backup_size = $this->get_file_size( $backup_file, 'MB', $pageid );
                add_post_meta( $pageid, 'backup_size', $backup_size);

                // Send email notification if enabled ( if enabled )
                $wpbu_settings = get_option('wpbu_settings');
                if($wpbu_settings['wpbu_settings']['send_email_notification'] == 'Yes'){
                    wp_mail($wpbu_settings['wpbu_settings']['email_notification_contact'], 'Backup Notification', 'This mail is to let you know that your website has just been backed up');
                }
                
                // @TODO Trigger additional FTP, Dropbox, Upload (comming soon)

                return array(
                            'backup_status' => 'Completed',
                            'backup_date' => date('F jS, Y  @ H: i: s'),
                            'backup_id' => $pageid,
                            'backup_title' => $page['post_title'],
                            'backup_size' => $backup_size,
                            'backup_type' => 'database'
                            );

            }else{
                return array(
                            'backup_status' => 'failed',
                            'error' => 'The backup could not be completed'
                            );

            }

    }

    /**
     * Create Backup using PHP
     * 
     * Creates a backup line by line mimicing mysqldump
     * @param N/A
     */
    public function Create_Database_Backup_Using_Php( $path = null, $encrypt = null){

        require_once( dirname(__FILE__) . '/php_mysql_dump.php');

    }

    /**
     * Get file size
     * 
     * Gets the file size of any file and returns a defined file format
     * @param N/A
     */
    public function get_file_size($file, $type, $ID){
       switch($type){
          case "KB":
             $filesize = filesize($file) * .0009765625; // bytes to KB
          break;
          case "MB":
             $filesize = (filesize($file) * .0009765625) * .0009765625; // bytes to MB
          break;
          case "GB":
             $filesize = ((filesize($file) * .0009765625) * .0009765625) * .0009765625; // bytes to GB
          break;
       }


       if($filesize <= 0){
        @add_post_meta( $ID, 'backup_status', 'Failed');
        return $filesize = 'Unknown';
       }else{
        @add_post_meta( $ID, 'backup_status', 'Completed');
        return round($filesize, 2).' '.$type;
        }
    
    }

    /**
     * Get Directory size
     * 
     * Get the size of a directory
     * @param N/A
     */
    public function get_dir_size($directory){
        $size;
        $dir = new DirectoryIterator(dirname( $directory ));
        foreach ($dir as $fileinfo) {
            if (!$fileinfo->isDot()) {
               $size = ($size+$fileinfo->getSize());
            }
        }
        return number_format($size / 1048576, 2);
    }

}