<?php
// ui.inc.php


// Includes scripts needed for the UI
function wpbu_above_main_ui(){
	wp_enqueue_style( 'wpbu-styles' );
	wp_enqueue_script('jquery-ui-tabs');
	wp_enqueue_style( 'ccb-dashboard-styles', WPBU_URLPATH . 'assets/css/styles.css' );
	wp_enqueue_style( 'ccb-dashboard-style', WPBU_URLPATH . 'assets/css/font-awesome.min.css' );
	wp_enqueue_style( 'ccb-font-styles' );
	$wpbu_settings = get_option('wpbu_global_settings');
}

// Top UI callout
function ui_top_callout(){ 

	// General Setting (notifications)
	$wpbu_general_settings = get_option('wpbu_general_settings');
	$wpbu_schedule_settings = get_option('wpbu_schedule_settings');
	$wpbu_account_settings = get_option('wpbu_account_settings');


	?>
	<div id="welcome-panel" class="welcome-panel">

			<div class="welcome-panel-content">
				<h3>WP BACKUPWARE</h3>
				<p class="about-description">The easiest way to backup WordPress</p>
				<div class="welcome-panel-column-container">

					<div class="welcome-panel-column">

						<p class="promo-message">
							<?php if(!$wpbu_account_settings['is_licensed']): ?>
								
								To enjoy automated backups:<br><br>
								<a  class="button button-primary" href="<?= WPBU_REMOTE_HOME; ?>/register" target="_blank">Activate Plugin</a> 

								<br><br>
								Already have a key? <a href="<?= admin_url(); ?>admin.php?page=wpbu_account">Activate Service</a>
			

							<?php else: ?>
								
								Although you have an account, it does not mean<br> 
								that you have to wait for the automated backups.<br><br>
								<small>
									Automated backups still run as scheduled.
								</small>

								<br><br>
								<a class="button button-primary button-hero" href="<?= site_url(); ?>/wpbu-backupware/loggedin/">
									 Perform <b>Manual</b> Backup <span class="fa fa-rocket fa-1x"></span> 
								</a>

							<?php endif; ?>
						</p>

					</div>
					
					<div class="welcome-panel-column">
						<h4>Quick Links</h4>
						<ul>
							<li><span class="fa fa-fire fa-1x"></span> <a href="<?= WPBU_REMOTE_HOME; ?>/support/#why-activate-the-wp-backupware-plugin" target="_blank"> Why activate the plugin? </a></li>
							<li><span class="fa fa-comments fa-1x"></span> <a href="<?= WPBU_REMOTE_HOME; ?>/support/community-forums/" target="_blank"> Support Forums</a></li>
							<li><span class="fa fa-thumbs-up fa-1x"></span> <a href="http://wordpress.org/support/view/plugin-reviews/wp-backupware" target="_blank">Rate this plugin!</a></li>
						</ul>
					</div>

					<div class="welcome-panel-column welcome-panel-last">
						<h4>Current Status</h4>
						<ul>
							<li>Plugin Activated: <b><?= $wpbu_account_settings['is_licensed'] ? 'Yes' : 'No' ?></b>
							<li>Backup Frequency: <b><?= $wpbu_schedule_settings['backup_frequency']; ?></b> </li>
							<li>Plugin Version: <b><?= WPBU_VERSION; ?></b> </li>
						</ul>
					</div>

				</div>
			</div>

		</div>
<?php
}