<?php
/**
 * @version 1.0.0 ( file version )
 * @author Justin Greer <justin@blackbirdi.com>
 * @copyright Justin Greer Interactive, LLC
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
*/
if( !defined( 'ABSPATH' ) ){ header("HTTP/1.0 404 Not Found"); exit; }

function WPBU_Account_UI(){
	require_once(WPBU_ABSPATH . '/library/ui.inc.php');
	wpbu_above_main_ui();
	?>

	<div class="wrap">

		<?php if(isset($_GET['settings-updated'])): ?>
				<div id="setting-error-settings_updated" class="updated settings-error"> 
					<p>
						<strong>Key Updated.</strong>
					</p>
				</div>
		<?php endif; ?>

		<div id="ccb-popup-messages"></div>

		<?php ui_top_callout(); ?>
		
		<div class="wpbu-tabs">
		  <ul>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_overview"> Overview </a></li>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_general"><span class="fa fa-gear fa-1x"></span> General Options </a></li>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_schedule"><span class="fa fa-calendar fa-1x"></span> Schedule </a></li>
		    <li><a class="active" href="#"><span class="fa fa-user fa-1x"></span> Your Account </a></li>
		  </ul>
		  <div class="clearboth"></div>
		</div>
			
		<!-- Container -->  
		<div class="wpbu-wrapper">

			<div class="tab-description">
				<h3> Account Settings </h3>
			  	<p>
			  		If you would like to use the WP Backupware automated backup services, you will need to activate the plugin.
			  	</p>
			  	
			  	<p>
			  		Find out how to activate the plugin at <a href="<?= WPBU_REMOTE_HOME; ?>/support" target="_blank">http://wpbackupware.com</a>
			  	</p>
			</div>
		
			<form name="wpbu_general" method="post" action="options.php"/>
				<?php
					$wpbu_settings = get_option('wpbu_account_settings');
					settings_fields( 'wpbu-account-group' );
					
					if( $wpbu_settings['is_licensed'] )
						print '<i class="wpbu-license-status valid"><b>Congrats!</b> Your are ready to rock.</i>';

					if( $wpbu_settings['is_licensed'] == false && $wpbu_settings['license_key'] != '' )
						print '<i class="wpbu-license-status not-valid">Key is invalid.</i>';
				?>
				<table class="form-table">
					<tr>
						<th>
							<label for="license-key"> Account Key </label>
						</th>
						<td>
							<input class="regular-text" 
									id="license-key" 
									type="text" 
									name="wpbu_account_settings[license_key]" 
									size="32" 
									value="<?= $wpbu_settings['license_key']?>"
									autofocus="true"
									/> 
						<span class="description"></span></td>
					</tr>
				</table>

				<input type="hidden" name="wpbu_account_settings[is_licensed]" value="false" /> 
				<?php submit_button('Update Account Key'); ?>
			</form>
		</div>		

	</div>
	<!-- /wrap -->

<?php } 