<?php
/**
 * @version 1.0.0 ( file version )
 * @author Justin Greer <justin@blackbirdi.com>
 * @copyright Justin Greer Interactive, LLC
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
*/
if( !defined( 'ABSPATH' ) ){ header("HTTP/1.0 404 Not Found"); exit; }

function WPBU_Console_UI(){

	// Check for backup
	if(@$_REQUEST['wpbu-task'] && $_REQUEST['wpbu-task'] == 'delete-backup'){
		if(empty($_REQUEST['backupID']))
			wp_die('Backup ID not found.');

		wpbu_remove_backup( $_REQUEST['backupID'] );

		print ' <p>
					Removing backup from system. <br> The page will refresh when complete.
			    </p>';
			    
		print '<script>
					window.location.href="'.admin_url().'/index.php?page=wpbu_overview&message=Backup+Removed";
			   </script>';
	}

	require_once(WPBU_ABSPATH . '/library/ui.inc.php');
	wpbu_above_main_ui();
	?>

	<div class="wrap">

		<?php if(isset($_GET['message'])): ?>
				<div id="setting-error-settings_updated" class="updated settings-error"> 
					<p>
						<strong><?= $_GET['message']; ?>.</strong>
					</p>
				</div>
		<?php endif; ?>

		<div id="ccb-popup-messages"></div>

		<?php ui_top_callout(); ?>
		
		<div class="wpbu-tabs">
		  <ul>
		    <li><a class="active" href="#"> Overview </a></li>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_general"><span class="fa fa-gear fa-1x"></span> General Options </a></li>
		    <li><a class="" href="<?= admin_url(); ?>admin.php?page=wpbu_schedule"><span class="fa fa-calendar fa-1x"></span> Schedule </a></li>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_account"><span class="fa fa-user fa-1x"></span> Your Account </a></li>
		  </ul>
		  <div class="clearboth"></div>
		</div>
			
		<!-- Container -->  
		<div class="wpbu-wrapper">

			<div class="tab-description">
				<h3> Overview </h3>
			  	<p>
			  		Below are your current backups.
			  	</p>
			</div>
			  	
			<h3>Backups</h3>
			<table class="widefat">
				<thead>
				    <tr>
				        <th>ID</th>
				        <th>Date</th> 
				        <th>Type</th>
				        <th>Status</th>       
				        <th>Size</th>
				    </tr>
				</thead>
				<tfoot>
				    <tr>
				    	<th>ID</th>
				    	<th>Date</th>
				    	<th>Type</th>
				    	<th>Status</th>
				    	<th>Size</th>
				    </tr>
				</tfoot>
				<tbody id="ccb-backup-list">
					<?php
						$args = array( 'post_type' => 'wpbu_backups', 'posts_per_page' => 10 );
						$loop = new WP_Query( $args );
						if($loop->have_posts()): while ( $loop->have_posts() ) : $loop->the_post();
						$backup_status =  get_post_meta( $loop->post->ID, 'backup_status', true);
					?>

					<tr>
				     <td><?php print $loop->post->ID; ?></td>
				     <td><?php the_time('F jS, Y  @ H: i: s'); ?>
				     	<b></b>
				     	<div class="row-actions">
				     			<!--<span class="edit"><a href="#" title="Edit this item">Upload to Storage</a> | </span>-->
				     			<span class="download"><a class="download-backup" title="Download this backup to your local computer" href="<?= site_url(); ?>/wpbu-download/<?= $loop->post->ID; ?> ">Download</a> | </span>
				     			<span class="delete"><a href="<?= admin_url(); ?>index.php?page=wpbu_overview&wpbu-task=delete-backup&backupID=<?= $loop->post->ID; ?>&message=Backup+Removed" title="Remove the entire backup" onclick="if(!confirm('Are you sure you want to delete this backup?')){return false;}">Remove</a></span>
				     		</div>
				     </td>
				     <td><?= get_post_meta($loop->post->ID, 'backup_type', true); ?></td>
				     <td><b><?= $backup_status; ?></b></td>
				     <td><b><?= get_post_meta($loop->post->ID, 'backup_size', true); ?></b></td>
				    </tr>
					<?php endwhile; else: ?>
						<td id="no-backups-found"> There are no backups found. </td>
					<?php endif; ?>
				</tbody>
				</table>

				<br>
				<a class="button button-primary" href="<?= site_url(); ?>/wpbu-backupware/loggedin/"> Create Backup </a>
		</div>		

	</div>
	<!-- /wrap -->

<?php } 