<?php
/**
 * @version 1.0.0 ( file version )
 * @author Justin Greer <justin@blackbirdi.com>
 * @copyright Justin Greer Interactive, LLC
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
*/
if( !defined( 'ABSPATH' ) ){ header("HTTP/1.0 404 Not Found"); exit; }

function WPBU_General_UI(){
	require_once(WPBU_ABSPATH . '/library/ui.inc.php');
	wpbu_above_main_ui();
	?>

	<div class="wrap">

		<?php if(isset($_GET['settings-updated'])): ?>
				<div id="setting-error-settings_updated" class="updated settings-error"> 
					<p>
						<strong>General settings saved.</strong>
					</p>
				</div>
		<?php endif; ?>

		<?php ui_top_callout(); ?>
		
		<div class="wpbu-tabs">
		  <ul>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_overview"> Overview </a></li>
		    <li><a class="active" href="#"><span class="fa fa-gear fa-1x"></span> General Options </a></li>
		    <li><a class="" href="<?= admin_url(); ?>admin.php?page=wpbu_schedule"><span class="fa fa-calendar fa-1x"></span> Schedule </a></li>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_account"><span class="fa fa-user fa-1x"></span> Your Account </a></li>
		  </ul>
		  <div class="clearboth"></div>
		</div>
			
		<!-- Container -->  
		<div class="wpbu-wrapper">

			<div class="tab-description">
				<h3> General Settings </h3>
			  	<p>
			  		Here you will be able to control backup notifications, and the recipient of the notification.
			  	</p>
			</div>
			  	
			<form name="wpbu_general" method="post" action="options.php"/>
				<?php
					$wpbu_settings = get_option('wpbu_general_settings');
					settings_fields( 'wpbu-general-group' );
				?>
				<table class="form-table">
					<tr>
						<th><label for="backup-notifications">Backup Notifications</label></th>
						<td>
							<select id="backup-notifications" name="wpbu_general_settings[send_email_notification]">
								<option <?= $wpbu_settings['send_email_notification']=='OFF' ? 'selected="selected"' : ''; ?> >OFF</option>
								<option <?= $wpbu_settings['send_email_notification']=='ON' ? 'selected="selected"' : ''; ?>>ON</option>		
							</select>
						</td>
					</tr>

					<tr>
						<th><label for="backup-notifications-contact">Notification Recipient</label></th>
						<td>
							<input class="regular-text" id="backup-notifications-contact" type="text" name="wpbu_general_settings[email_notification_contact]" size="32" placeholder="<?= get_bloginfo(admin_email); ?>" value="<?= $wpbu_settings['email_notification_contact'] ?>" />
							<span class="description">Leave blank for WP admin email to be used.</span>
						</td>
					</tr>
				</table>

				<?php submit_button('Update General Settings'); ?>
			</form>
		</div>		

	</div>
	<!-- /wrap -->

<?php } 