<?php
/**
 * @version 1.0.0 ( file version )
 * @author Justin Greer <justin@blackbirdi.com>
 * @copyright Justin Greer Interactive, LLC
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
*/
if( !defined( 'ABSPATH' ) ){ header("HTTP/1.0 404 Not Found"); exit; }

function WPBU_Schedule_UI(){
	require_once(WPBU_ABSPATH . '/library/ui.inc.php');
	wpbu_above_main_ui();
	?>

	<div class="wrap">

		<?php if(isset($_GET['settings-updated'])): ?>
				<div id="setting-error-settings_updated" class="updated settings-error"> 
					<p>
						<strong>Backup schedule saved.</strong>
					</p>
				</div>
		<?php endif; ?>

		<?php ui_top_callout(); ?>
		
		<div class="wpbu-tabs">
		  <ul>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_overview"> Overview </a></li>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_general"><span class="fa fa-gear fa-1x"></span> General Options </a></li>
		    <li><a class="active" href="#"><span class="fa fa-calendar fa-1x"></span> Schedule </a></li>
		    <li><a href="<?= admin_url(); ?>admin.php?page=wpbu_account"><span class="fa fa-user fa-1x"></span> Your Account </a></li>
		  </ul>
		  <div class="clearboth"></div>
		</div>
			
		<!-- Container -->  
		<div class="wpbu-wrapper">

			<div class="tab-description">
				<h3> Schedule Settings </h3>
			  	<p>
			  		Here you will be able to control how often your WordPress website is backed up.
			  	</p>
			</div>
			  	
			<form name="wpbu_general" method="post" action="options.php"/>
				<?php
					$wpbu_settings = get_option('wpbu_schedule_settings');
					settings_fields( 'wpbu-schedule-group' );

					$wpbu_account_settings = get_option('wpbu_account_settings');

					// Cheap Messages
					if( $wpbu_account_settings['is_licensed'] == false  )
						print '<i class="wpbu-license-status not-valid">The plugin must be activated for this feature to work. <a href="'.WPBU_REMOTE_HOME.'/register" target="_blank" style="color: #FFF;"> Activate Plugin</a></i>';

					?>
				<table class="form-table">
					<tr>
						<th><label for="backup-notifications">Backup Frequency</label></th>
						<td>
							<select id="backup-notifications" name="wpbu_schedule_settings[backup_frequency]">
								<option <?= $wpbu_settings['backup_frequency']=='OFF' ? 'selected="selected"' : ''; ?> >OFF</option>
								<option <?= $wpbu_settings['backup_frequency']=='Daily' ? 'selected="selected"' : ''; ?>>Daily</option>	
								<option <?= $wpbu_settings['backup_frequency']=='Weekly' ? 'selected="selected"' : ''; ?>>Weekly</option>
								<option <?= $wpbu_settings['backup_frequency']=='Monthly' ? 'selected="selected"' : ''; ?>>Monthly</option>	
							</select>
						</td>
					</tr>
				</table>

				<?php submit_button('Update Backup Frequency'); ?>
			</form>
		</div>		

	</div>
	<!-- /wrap -->

<?php } 